org.apache.calcite.avatica

## Class MetaImpl.MetaAttribute

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaAttribute

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaAttribute
    extends Object

Metadata describing an attribute.

### Field Summary

Fields
`String` `attrDef`
`String` `attrName`
`Integer` `attrSize`
`String` `attrTypeName`
`Integer` `charOctetLength`
`int` `dataType`
`Integer` `decimalDigits`
`String` `isNullable`
`int` `nullable`
`Integer` `numPrecRadix`
`int` `ordinalPosition`
`String` `remarks`
`String` `scopeCatalog`
`String` `scopeSchema`
`String` `scopeTable`
`Short` `sourceDataType`
`Integer` `sqlDataType`
`Integer` `sqlDatetimeSub`
`String` `typeCat`
`String` `typeName`
`String` `typeSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaAttribute(String typeCat, String typeSchem, String typeName, String attrName, int dataType, String attrTypeName, Integer attrSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCat

    public final String typeCat

#### typeSchem

    public final String typeSchem

#### typeName

    public final String typeName

#### attrName

    public final String attrName

#### dataType

    public final int dataType

#### attrTypeName

    public String attrTypeName

#### attrSize

    public final Integer attrSize

#### decimalDigits

    public final Integer decimalDigits

#### numPrecRadix

    public final Integer numPrecRadix

#### nullable

    public final int nullable

#### remarks

    public final String remarks

#### attrDef

    public final String attrDef

#### sqlDataType

    public final Integer sqlDataType

#### sqlDatetimeSub

    public final Integer sqlDatetimeSub

#### charOctetLength

    public final Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final String isNullable

#### scopeCatalog

    public final String scopeCatalog

#### scopeSchema

    public final String scopeSchema

#### scopeTable

    public final String scopeTable

#### sourceDataType

    public final Short sourceDataType

### Constructor Detail

#### MetaAttribute

    public MetaAttribute(String typeCat,
                         String typeSchem,
                         String typeName,
                         String attrName,
                         int dataType,
                         String attrTypeName,
                         Integer attrSize,
                         Integer decimalDigits,
                         Integer numPrecRadix,
                         int nullable,
                         Integer charOctetLength,
                         int ordinalPosition,
                         String isNullable)